# QPoint Class Reference

### [com.trolltech.qt.core package]

### Constructor

- void QPoint()
- void QPoint(int xpos, int ypos)

### Constructor Properties

- prototype: The QPoint prototype object

### Prototype Object Properties

- bool isNull()
- int manhattanLength()
- QPoint operator_add_assign(QPoint p)
- QPoint operator_divide_assign(qreal c)
- bool operator_equal(QPoint p2)
- QPoint operator_multiply_assign(double c)
- QPoint operator_subtract_assign(QPoint p)
- void readFrom(QDataStream arg__1)
- void setX(int x)
- void setY(int y)
- void writeTo(QDataStream arg__1)
- int x()
- int y()

### Instance Properties

QPoint objects have no special properties beyond those inherited from the QPoint prototype object.